Page MenuHomeVyOS Platform

Having `system login radius` configured causes exponentially long boot times
Closed, ResolvedPublicBUG

Description

Ever since I set up RADIUS logins, I've noticed if I've been logged in as a local user, as opposed to a RADIUS user, it generates errors in my log on commits. Basically it's stating that the local user can't be authenticated against the RADIUS server, so it falls back to local authentication.

I ended up doing a lot of testing and profiling on my 1.3 installs.

It turns out, that on boot, the root user tries to authenticate every commit against the RADIUS server.

Deleting the system login radius configurations causes a 5-6 minute boot to only takes 90 seconds. Strangely enough, deleting the vpn l2tp and snmp configurations, drop the 90 second boot down to 50 seconds.

Details

Difficulty level
Easy (less than an hour)
Version
1.3
Why the issue appeared?
Design mistake
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

kroy created this task.Jan 8 2020, 2:35 PM
pasik added a subscriber: pasik.Jan 8 2020, 5:27 PM
c-po closed this task as Resolved.Mar 8 2020, 3:04 PM
c-po claimed this task.
c-po triaged this task as Normal priority.
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po changed Why the issue appeared? from Will be filled on close to Design mistake.

Fixed via T2089

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mar 22 2020, 8:52 AM